package benchmark.realWorldData;

import org.jgrapht.graph.DefaultEdge;
import org.jgrapht.graph.SimpleDirectedGraph;

import solver.approximationHClustPivot.hcUtils.BuildTree;
import solver.approximationHClustPivot.hcUtils.TNode;
import solver.approximationHClustPivot.hcUtils.VisTools;
import distanceFunction.SymmetricDiscreteDistanceFunction;
import distanceFunction.random.RandomDistanceFunctions;

public class TestBuildTree
{

	/**
	 * @param args
	 */
	public static void main(final String[] args)
	{

		final int n = 5;
		final int maxDist = 2;

		final int[][] D = RandomDistanceFunctions.getUltrametric(n, maxDist, 5);
		final SymmetricDiscreteDistanceFunction distance = new SymmetricDiscreteDistanceFunction(D);

		System.out.println(distance.toString());

		final BuildTree BT = new BuildTree();

		final SimpleDirectedGraph<TNode, DefaultEdge> T = BT.buildTree(distance);
		VisTools.show(T);
	}

}
