package commandLineOptionsHelpClasses;

import org.apache.commons.lang3.mutable.MutableDouble;

public class DoubleOpt extends CLOption<MutableDouble>
{

	public DoubleOpt(final MutableDouble t, final int index, final boolean verbose, final boolean requiredArg)
	{
		super(t, index, verbose, requiredArg);
	}

	public DoubleOpt(final MutableDouble t, final String name, final boolean verbose, final boolean requiredArg)
	{
		super(t, name, verbose, requiredArg);
	}

	public DoubleOpt(final MutableDouble t, final String label, final int index, final boolean verbose, final boolean requiredArg)
	{
		super(t, label, index, verbose, requiredArg);
	}

	@Override
	protected void setObjectValue(final String string)
	{
		if (this.v)
		{
			System.out.print("set option from " + this.o);
		}
		this.o.setValue(Double.parseDouble(string));
		if (this.v)
		{
			System.out.println(" to " + this.o);
		}
	}

}