package dataStructures.utils;

import dataStructures.Store;

public class IntStore<V> extends Store<Integer, V> implements Comparable<IntStore<V>>
{
	public IntStore(final int n, final V v)
	{
		super(n, v);
	}

	@Override
	public int compareTo(final IntStore<V> o)
	{
		return this.getS1() - o.getS1();
	}

}
