package dataReductionRules;

import java.util.Arrays;
import java.util.Map;

import sun.reflect.generics.reflectiveObjects.NotImplementedException;
import dataStructures.utils.Key;

public class ConflictVal implements Comparable<ConflictVal>, Map.Entry<Integer, int[]>, Key
{

	private final int[] conflict;

	private final int key;

	public ConflictVal(final int key, final int[] conflict)
	{
		this.conflict = conflict;
		this.key = key;
	}

	@Override
	public int compareTo(final ConflictVal o)
	{
		return this.key - o.key;
	}

	@Override
	public int getComparisonKey()
	{
		return this.key;
	}

	@Override
	public Integer getKey()
	{
		return this.key;
	}

	@Override
	public int[] getValue()
	{
		return this.conflict;
	}

	@Override
	public int[] setValue(final int[] value)
	{
		throw new NotImplementedException();
		// this.conflict = value;
		// return this.conflict;
	}

	@Override
	public String toString()
	{
		return "ConflictVal [conflict=" + Arrays.toString(this.conflict) + ", key=" + this.key + "]";
	}
}