package dataReductionRules;

import java.util.Vector;

/**
 * Stores several data reduction rules.
 * 
 * @author Sepp Hartung
 * @version 1.0
 */
public class DataReductionRuleProvider
{
	private final Vector<RuleInterface> rules;

	public DataReductionRuleProvider()
	{
		this.rules = new Vector<RuleInterface>();
	}

	public void addRule(final RuleInterface rule)
	{
		this.rules.add(rule);
	}

	public Iterable<RuleInterface> getRules()
	{
		return this.rules;
	}
}